# getDocumentDownloadURL - Download one document and returns the url to download it.

Download one document and returns the URL to download it. If the document ID doesn't exist, the API will return an error.

Endpoint: GET /document/{documentId}/type/{documentType}

## Path parameters:

  - `documentId` (string, required)
    The identifier of the document.

  - `documentType` (string, required)
    The type of the document.

## Query parameters:

  - `c_orderId` (string)
    The identifier of the order.

  - `c_orderToken` (string)
    The token of the order.

  - `c_shipmentId` (string)
    The identifier of the shipment.

  - `locale` (string)
    The user locale.

  - `siteId` (string)
    The identifier of the site.

## Response 200 fields (application/json):

  - `url` (string)
    Download url of the document.

## Response 404 fields (application/json):

  - `detail` (string)
    Error detail.
    Example: "The request could not be understood by the server due to malformed syntax."

  - `title` (string)
    Error title.
    Example: "Bad Request"

  - `type` (string)
    Error type.
    Example: "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request"

## Response 500 fields (application/json):

  - `detail` (string)
    Error detail.
    Example: "The request could not be understood by the server due to malformed syntax."

  - `title` (string)
    Error title.
    Example: "Bad Request"

  - `type` (string)
    Error type.
    Example: "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request"


